=== debian/changelog ===
ros-rolling-rosbag2-transport (0.13.0-1focal) focal; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosbag2-transport (0.12.0-1focal) focal; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * TopicFilter use regex_search instead of regex_match (#932 <https://github.com/ros2/rosbag2/issues/932>)
  * Add start-offset play option (#931 <https://github.com/ros2/rosbag2/issues/931>)
  * Add parentheses suggested by Clang on OSX to fix build warning (#930 <https://github.com/ros2/rosbag2/issues/930>)
  * Bag rewriter (C++) (#920 <https://github.com/ros2/rosbag2/issues/920>)
  * Add "ignore leaf topics" option to recorder (#925 <https://github.com/ros2/rosbag2/issues/925>)
  * Rewrite TopicFilter for single-call reusability (#924 <https://github.com/ros2/rosbag2/issues/924>)
  * Add a ReaderWriterFactory utility to share logic for reuse (#923 <https://github.com/ros2/rosbag2/issues/923>)
  * Add pause/resume options to the bag recorder (#905 <https://github.com/ros2/rosbag2/issues/905>)
  * Add logging macros for rosbag2_transport (#917 <https://github.com/ros2/rosbag2/issues/917>)
  * Enable YAML encoding/decoding for RecordOptions and StorageOptions (#916 <https://github.com/ros2/rosbag2/issues/916>)
  * Expose the QoS object wrapper (#910 <https://github.com/ros2/rosbag2/issues/910>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rosbag2-transport (0.11.0-1focal) focal; urgency=high

  * Add --start-paused option to ros2 bag play (#904 <https://github.com/ros2/rosbag2/issues/904>)
  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Add a Seek service (#874 <https://github.com/ros2/rosbag2/issues/874>)
  * Add simple keyboard control for playback rate (#893 <https://github.com/ros2/rosbag2/issues/893>)
  * Contributors: Emerson Knapp, Ivan Santiago Paunovic, Michel Hidalgo

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 08:00:00 -0000

ros-rolling-rosbag2-transport (0.10.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 22 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-transport (0.10.0-1focal) focal; urgency=high

  * Fix a bug on invalid pointer address when using "MESSAGE" compressio… (#866 <https://github.com/ros2/rosbag2/issues/866>)
  * Fix typo (#880 <https://github.com/ros2/rosbag2/issues/880>)
  * Use Reader's seek() method for seeking/jumping in Player (#873 <https://github.com/ros2/rosbag2/issues/873>)
  * keyboard controls for pause/resume toggle and play-next: (#847 <https://github.com/ros2/rosbag2/issues/847>)
  * Implement snapshot mechanism and corresponding ROS Service (#850 <https://github.com/ros2/rosbag2/issues/850>)
  * Circular Message Cache implementation for snapshot feature (#844 <https://github.com/ros2/rosbag2/issues/844>)
  * Add jump/seek API for Player class (#826 <https://github.com/ros2/rosbag2/issues/826>)
  * Restructure test_play_timing to one test per case, to see which times out (#863 <https://github.com/ros2/rosbag2/issues/863>)
  * Fix discovery silently stops after unknown msg type is found. (#848 <https://github.com/ros2/rosbag2/issues/848>)
  * Fixing deprecated subscriber callback warnings (#852 <https://github.com/ros2/rosbag2/issues/852>)
  * Bugfix for race condition in Player::peek_next_message_from_queue() (#849 <https://github.com/ros2/rosbag2/issues/849>)
  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Update PlayOptions::delay to rclcpp::Duration to get nanosecond resolution (#843 <https://github.com/ros2/rosbag2/issues/843>)
  * Move notification about ready for playback inside play_messages_from_queue() (#832 <https://github.com/ros2/rosbag2/issues/832>)
  * Add wait for player to be ready for playback in Player::play_next() method (#814 <https://github.com/ros2/rosbag2/issues/814>)
  * Make sure the subscription exists before publishing messages (#804 <https://github.com/ros2/rosbag2/issues/804>)
  * Add delay option (#789 <https://github.com/ros2/rosbag2/issues/789>)
  * Copy recorder QoS profile to local variable so that temporary value isn't cleared (#803 <https://github.com/ros2/rosbag2/issues/803>)
  * test_play_services: fail gracefully on future error (#798 <https://github.com/ros2/rosbag2/issues/798>)
  * Recording with --all and --exclude fix (#765 <https://github.com/ros2/rosbag2/issues/765>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Bastian Jäger, Cameron Miller, Emerson Knapp, Kosuke Takeuchi, Lei Liu, Louise Poubel, Michael Orlov, Piotr Jaroszek, sonia

 -- Karsten Knese <karsten@openrobotics.org>  Tue, 19 Oct 2021 07:00:00 -0000

ros-rolling-rosbag2-transport (0.9.0-1focal) focal; urgency=high

  * Expose play_next service (#767 <https://github.com/ros2/rosbag2/issues/767>)
  * Add play_next() API to the player class (#762 <https://github.com/ros2/rosbag2/issues/762>)
  * Naive clock jump implementation - allows for clock reuse and simplified Player setup (#754 <https://github.com/ros2/rosbag2/issues/754>)
  * Rename Reader/Writer 'reset' to 'close' (#760 <https://github.com/ros2/rosbag2/issues/760>)
  * simply constructor for rosbag2_transport::Player (#757 <https://github.com/ros2/rosbag2/issues/757>)
  * Expose GetRate/SetRate services for playback (#753 <https://github.com/ros2/rosbag2/issues/753>)
  * Expose pause/resume related services on the Player (#729 <https://github.com/ros2/rosbag2/issues/729>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * remove rosbag2_transport header (#742 <https://github.com/ros2/rosbag2/issues/742>)
  * use public recorder api in tests (#741 <https://github.com/ros2/rosbag2/issues/741>)

