## ros-rolling-rosbag2-transport 0.24.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,13 +6,19 @@
   set(CMAKE_C_STANDARD 99)
 endif()
 
-# Default to C++14
+# Default to C++17
 if(NOT CMAKE_CXX_STANDARD)
-  set(CMAKE_CXX_STANDARD 14)
+  set(CMAKE_CXX_STANDARD 17)
+  set(CMAKE_CXX_STANDARD_REQUIRED ON)
 endif()
 
 if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   add_compile_options(-Wall -Wextra -Wpedantic)
+endif()
+if(CMAKE_BUILD_TYPE STREQUAL "Debug" AND MSVC)
+  # /bigobj is needed to avoid error C1128:
+  #   https://msdn.microsoft.com/en-us/library/8578y171.aspx
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
 endif()
 
 # Windows supplies macros for min and max by default. We should only use min and max from stl
@@ -45,19 +51,20 @@
   src/rosbag2_transport/topic_filter.cpp)
 target_include_directories(${PROJECT_NAME} PUBLIC
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
-  $<INSTALL_INTERFACE:include>)
-ament_target_dependencies(${PROJECT_NAME}
-  keyboard_handler
-  rcl
-  rclcpp
-  rcutils
-  rmw
-  rosbag2_compression
-  rosbag2_cpp
-  rosbag2_interfaces
-  rosbag2_storage
-  shared_queues_vendor
-  yaml_cpp_vendor
+  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>)
+target_link_libraries(${PROJECT_NAME}
+  keyboard_handler::keyboard_handler
+  rcl::rcl
+  rclcpp::rclcpp
+  rcutils::rcutils
+  rmw::rmw
+  rosbag2_compression::rosbag2_compression
+  rosbag2_cpp::rosbag2_cpp
+  ${rosbag2_interfaces_TARGETS}
+  rosbag2_storage::rosbag2_storage
+  shared_queues_vendor::singleproducerconsumer
+  shared_queues_vendor::concurrentqueue
+  yaml-cpp
 )
 
 # Causes the visibility macros to use dllexport rather than dllimport,
@@ -66,7 +73,7 @@
 
 install(
   DIRECTORY include/
-  DESTINATION include
+  DESTINATION include/${PROJECT_NAME}
 )
 install(
   TARGETS ${PROJECT_NAME}
@@ -76,9 +83,13 @@
   RUNTIME DESTINATION bin
 )
 
-ament_export_include_directories(include)
+# Export old-style CMake variables
+ament_export_include_directories("include/${PROJECT_NAME}")
 ament_export_libraries(${PROJECT_NAME})
+
+# Export modern CMake targets
 ament_export_targets(export_${PROJECT_NAME})
+
 ament_export_dependencies(
   keyboard_handler
   rosbag2_cpp
@@ -118,6 +129,16 @@
     LINK_LIBS rosbag2_transport
     AMENT_DEPS test_msgs rosbag2_test_common)
 
+  rosbag2_transport_add_gmock(test_play_callbacks
+    test/rosbag2_transport/test_play_callbacks.cpp
+    LINK_LIBS rosbag2_transport
+    AMENT_DEPS test_msgs rosbag2_test_common)
+
+  rosbag2_transport_add_gmock(test_player_stop
+    test/rosbag2_transport/test_player_stop.cpp
+    LINK_LIBS rosbag2_transport
+    AMENT_DEPS test_msgs rosbag2_test_common)
+
   rosbag2_transport_add_gmock(test_play_seek
     test/rosbag2_transport/test_play_seek.cpp
     LINK_LIBS rosbag2_transport
@@ -133,6 +154,12 @@
     LINK_LIBS rosbag2_transport
     AMENT_DEPS test_msgs rosbag2_test_common
     ${SKIP_TEST})
+
+  rosbag2_transport_add_gmock(test_play_duration
+      test/rosbag2_transport/test_play_duration.cpp
+      INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
+      LINK_LIBS rosbag2_transport
+      AMENT_DEPS test_msgs rosbag2_test_common)
 
   rosbag2_transport_add_gmock(test_play_next
       test/rosbag2_transport/test_play_next.cpp
@@ -140,6 +167,18 @@
       LINK_LIBS rosbag2_transport
       AMENT_DEPS test_msgs rosbag2_test_common)
 
+  rosbag2_transport_add_gmock(test_play_until
+      test/rosbag2_transport/test_play_until.cpp
+      INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
+      LINK_LIBS rosbag2_transport
+      AMENT_DEPS test_msgs rosbag2_test_common)
+
+  rosbag2_transport_add_gmock(test_burst
+    test/rosbag2_transport/test_burst.cpp
+    INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>
+    LINK_LIBS rosbag2_transport
+    AMENT_DEPS test_msgs rosbag2_test_common)
+
   rosbag2_transport_add_gmock(test_qos
     test/rosbag2_transport/test_qos.cpp
     INCLUDE_DIRS $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
@@ -163,11 +202,21 @@
     LINK_LIBS rosbag2_transport
     AMENT_DEPS test_msgs rosbag2_test_common)
 
+  rosbag2_transport_add_gmock(test_record_all_include_unpublished_topics
+    test/rosbag2_transport/test_record_all_include_unpublished_topics.cpp
+    LINK_LIBS rosbag2_transport
+    AMENT_DEPS test_msgs rosbag2_test_common)
+
   rosbag2_transport_add_gmock(test_record_all_no_discovery
     test/rosbag2_transport/test_record_all_no_discovery.cpp
     LINK_LIBS rosbag2_transport
     AMENT_DEPS test_msgs rosbag2_test_common)
 
+  rosbag2_transport_add_gmock(test_record_all_use_sim_time
+    test/rosbag2_transport/test_record_all_use_sim_time.cpp
+    LINK_LIBS rosbag2_transport
+    AMENT_DEPS test_msgs rosbag2_test_common)
+
   rosbag2_transport_add_gmock(test_keyboard_controls
     test/rosbag2_transport/test_keyboard_controls.cpp
     LINK_LIBS rosbag2_transport
@@ -184,6 +233,18 @@
     LINK_LIBS rosbag2_transport
     AMENT_DEPS test_msgs rosbag2_test_common)
 
+  rosbag2_transport_add_gmock(test_component_parameters
+      test/rosbag2_transport/test_composable_recorder.cpp
+    LINK_LIBS rosbag2_transport
+    AMENT_DEPS test_msgs rosbag2_test_common)
+
+  if(${rmw_implementation} MATCHES "rmw_cyclonedds(.*)")
+    ament_add_test_label(test_play_services__rmw_cyclonedds_cpp xfail)
+  endif()
+
+  if(${rmw_implementation} MATCHES "rmw_fastrtps(.*)")
+    ament_add_test_label(test_play_services__rmw_fastrtps_cpp xfail)
+  endif()
 endfunction()
 
 if(BUILD_TESTING)
@@ -200,20 +261,30 @@
 
   ament_add_gmock(test_record_options
     test/rosbag2_transport/test_record_options.cpp)
-  target_include_directories(test_record_options PRIVATE include)
   target_link_libraries(test_record_options ${PROJECT_NAME})
+
+  ament_add_gmock(test_type_description_hash
+    test/rosbag2_transport/test_type_description_hash.cpp)
+  target_link_libraries(test_type_description_hash ${PROJECT_NAME})
 
   ament_add_gmock(test_topic_filter
     test/rosbag2_transport/test_topic_filter.cpp)
   target_include_directories(test_topic_filter PRIVATE
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/src/rosbag2_transport>)
-  target_link_libraries(test_topic_filter rosbag2_transport)
+  target_link_libraries(test_topic_filter
+    ${PROJECT_NAME}
+  )
 
   ament_add_gmock(test_rewrite
     test/rosbag2_transport/test_rewrite.cpp)
-  target_include_directories(test_rewrite PRIVATE include)
-  target_link_libraries(test_rewrite ${PROJECT_NAME})
-  ament_target_dependencies(test_rewrite keyboard_handler rcpputils rosbag2_cpp test_msgs)
+  target_link_libraries(test_rewrite
+    ${PROJECT_NAME}
+    keyboard_handler::keyboard_handler
+    rcpputils::rcpputils
+    rosbag2_cpp::rosbag2_cpp
+    rosbag2_test_common::rosbag2_test_common
+    ${test_msgs_TARGTES}
+  )
 endif()
 
 ament_package()
