=== debian/changelog ===
ros-rolling-rosbag2-transport (0.24.0-1jammy) jammy; urgency=high

  * Fix for rosbag2_transport::Recorder failures due to the unhandled exceptions (#1382 <https://github.com/ros2/rosbag2/issues/1382>)
  * When using sim time, wait for /clock before beginning recording (#1378 <https://github.com/ros2/rosbag2/issues/1378>)
  * Fix for possible freeze in Recorder::stop() (#1381 <https://github.com/ros2/rosbag2/issues/1381>)
  * Revert "Don't record sim-time messages before first /clock (#1354 <https://github.com/ros2/rosbag2/issues/1354>)" (#1377 <https://github.com/ros2/rosbag2/issues/1377>)
  * Don't record sim-time messages before first /clock (#1354 <https://github.com/ros2/rosbag2/issues/1354>)
  * Fix a clang warning about uninitialized variable. (#1370 <https://github.com/ros2/rosbag2/issues/1370>)
  * [bugfix] for parameters not passing to recorder's node from child component (#1360 <https://github.com/ros2/rosbag2/issues/1360>)
  * Change subscriptions from GenericSubscripton to SubscriptionBase (#1337 <https://github.com/ros2/rosbag2/issues/1337>)
  * Add recorder stop() API (#1300 <https://github.com/ros2/rosbag2/issues/1300>)
  * Contributors: Chris Lalancette, Emerson Knapp, Michael Orlov, Patrick Roncagliolo

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rosbag2-transport (0.23.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-transport (0.22.0-1jammy) jammy; urgency=high

  * Read message definitions from input files in bag_rewrite (#1295 <https://github.com/ros2/rosbag2/issues/1295>)
  * Add message definition read API (#1292 <https://github.com/ros2/rosbag2/issues/1292>)
  * Move rosbag2_transport::Recorder implementation to pimpl (#1291 <https://github.com/ros2/rosbag2/issues/1291>)
  * rosbag2_storage: add type description hash to topic metadata (#1272 <https://github.com/ros2/rosbag2/issues/1272>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-transport (0.21.0-1jammy) jammy; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Use RMW methods to initialize endpoint info instead of brace initializer to guard against upcoming struct change (#1257 <https://github.com/ros2/rosbag2/issues/1257>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rosbag2-transport (0.20.0-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rosbag2-transport (0.19.0-1jammy) jammy; urgency=high

  * Print "Hidden topics are not recorded" only once. (#1225 <https://github.com/ros2/rosbag2/issues/1225>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * rosbag2_transport: parametrize test_rewrite (#1206 <https://github.com/ros2/rosbag2/issues/1206>)
  * rosbag2_cpp: test more than one storage plugin (#1196 <https://github.com/ros2/rosbag2/issues/1196>)
  * Replace language for "db3"/"db"/"database" (#1194 <https://github.com/ros2/rosbag2/issues/1194>)
  * set_read_order: return success (#1177 <https://github.com/ros2/rosbag2/issues/1177>)
  * Remove explicit sqlite3 from code (#1166 <https://github.com/ros2/rosbag2/issues/1166>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms, rshanor

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 00:00:00 -0000

ros-rolling-rosbag2-transport (0.18.0-1jammy) jammy; urgency=high

  * Add pause and resume service calls for rosbag2 recorder (#1131 <https://github.com/ros2/rosbag2/issues/1131>)
  * Redesign record_services tests to make them more deterministic (#1122 <https://github.com/ros2/rosbag2/issues/1122>)
  * Add SplitBagfile recording service. (#1115 <https://github.com/ros2/rosbag2/issues/1115>)
  * Reverse read order API and sqlite storage implementation (#1083 <https://github.com/ros2/rosbag2/issues/1083>)
  * make recorder node composable by inheritance (#1093 <https://github.com/ros2/rosbag2/issues/1093>)
  * Mark test_play_services as xfail for FastRTPS and CycloneDDS (#1091 <https://github.com/ros2/rosbag2/issues/1091>)
  * fixed typo (#1057 <https://github.com/ros2/rosbag2/issues/1057>)
  * Fix hangout in rosbag2 player and recorder when pressing CTRL+C (#1081 <https://github.com/ros2/rosbag2/issues/1081>)
  * Added support for excluding topics via regular expressions (#1046 <https://github.com/ros2/rosbag2/issues/1046>)
  * Contributors: Bernardo Taveira, Cristóbal Arroyo, DensoADAS, Emerson Knapp, Esteve Fernandez, Michael Orlov, rshanor

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 00:00:00 -0000

ros-rolling-rosbag2-transport (0.17.0-1jammy) jammy; urgency=high

  * Use a single variable for evaluating the filter regex (#1053 <https://github.com/ros2/rosbag2/issues/1053>)
  * Add additional mode of publishing sim time updates triggered by replayed messages (#1050 <https://github.com/ros2/rosbag2/issues/1050>)
  * Speed optimization: Preparing copyless publish/subscribing by using const message for writing (#1010 <https://github.com/ros2/rosbag2/issues/1010>)
  * Renamed --topics-regex to --regex and -e in Player class to be consistent with Recorder (#1045 <https://github.com/ros2/rosbag2/issues/1045>)
  * Refactor play until and duration tests (#1024 <https://github.com/ros2/rosbag2/issues/1024>)

