=== debian/control ===
Source: ros-rolling-rosbag2-transport
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-index-cpp <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-keyboard-handler, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-rmw-implementation-cmake <!nocheck>, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-compression-zstd <!nocheck>, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-interfaces, ros-rolling-rosbag2-storage, ros-rolling-rosbag2-storage-default-plugins <!nocheck>, ros-rolling-rosbag2-test-common <!nocheck>, ros-rolling-shared-queues-vendor, ros-rolling-test-msgs <!nocheck>, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-keyboard-handler, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-rosbag2-compression, ros-rolling-rosbag2-cpp, ros-rolling-rosbag2-interfaces, ros-rolling-rosbag2-storage, ros-rolling-shared-queues-vendor, ros-rolling-yaml-cpp-vendor, ros-rolling-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware
